/* eslint-disable jsx-a11y/anchor-is-valid */
import clsx from 'clsx'
import {FC} from 'react'
import {toAbsoluteUrl} from '../../../../../../../../_metronic/helpers'
import {Position} from '../../../core/_models'

type Props = {
  position: Position
}

const PositionInfoCell: FC<Props> = ({position}) => (
  <div className='d-flex align-items-center'>
    {/* begin:: Avatar */}
    <div className='symbol symbol-circle symbol-50px overflow-hidden me-3'>
      <a href='#'>
        {true ? (
          <div className='symbol-label'>
            <img src={toAbsoluteUrl('/media/avatars/blank.png')} alt={position.name} className='w-100' />
          </div>
        ) : (null)}
      </a>
    </div>
    <div className='d-flex flex-column'>
      <a href={'/metronic8/react/demo1/position/overview/'+position.id}  className='text-gray-800 text-hover-primary mb-1'>
        {position.name}
      </a>
      <span>{position.organisation?.name}</span>
    </div>
  </div>
)

export {PositionInfoCell}
